EDataCalFactory
3
LIBEDATA-CAL Library

# EDataCalFactory

Implementation of the calendar CORBA factory.

## Synopsis

                        EDataCalFactory;
    EDataCalFactory *   e_data_cal_factory_new              (void);
    gboolean            e_data_cal_factory_register_storage (EDataCalFactory *factory,
                                                             const gchar *iid);
    void                e_data_cal_factory_register_backend (EDataCalFactory *factory,
                                                             ECalBackendFactory *backend_factory);
    void                e_data_cal_factory_register_backends
                                                            (EDataCalFactory *factory);
    gint                e_data_cal_factory_get_n_backends   (EDataCalFactory *factory);
    void                e_data_cal_factory_dump_active_backends
                                                            (EDataCalFactory *factory);
    void                e_data_cal_factory_set_backend_mode (EDataCalFactory *factory,
                                                             gint mode);

## Object Hierarchy

      GObject
       +----BonoboObject
             +----EDataCalFactory

## Signals

      "last-calendar-gone"                             : Run First

## Description

## Details

### EDataCalFactory

    typedef struct _EDataCalFactory EDataCalFactory;

### e_data_cal_factory_new ()

    EDataCalFactory *   e_data_cal_factory_new              (void);

Creates a new EDataCalFactory object.

Returns :

  A newly-created EDataCalFactory, or NULL if its corresponding CORBA object could not be created.

### e_data_cal_factory_register_storage ()

    gboolean            e_data_cal_factory_register_storage (EDataCalFactory *factory,
                                                             const gchar *iid);

Registers a calendar factory with the OAF object activation daemon. This function must be called before any clients can activate the factory.

`factory` :

  A calendar factory.

`iid` :

  OAFIID for the factory to be registered.

Returns :

  TRUE on success, FALSE otherwise.

### e_data_cal_factory_register_backend ()

    void                e_data_cal_factory_register_backend (EDataCalFactory *factory,
                                                             ECalBackendFactory *backend_factory);

Registers an ECalBackend subclass that will be used to handle URIs with a particular method. When the factory is asked to open a particular URI, it will look in its list of registered methods and create a backend of the appropriate type.

`factory` :

  A calendar factory.

`backend_factory` :

  The object responsible for creating backends.

### e_data_cal_factory_register_backends ()

    void                e_data_cal_factory_register_backends
                                                            (EDataCalFactory *factory);

Register all backends for the given factory.

`factory` :

### e_data_cal_factory_get_n_backends ()

    gint                e_data_cal_factory_get_n_backends   (EDataCalFactory *factory);

Get the number of backends currently active in the given factory.

`factory` :

  A calendar factory.

Returns :

  the number of backends.

### e_data_cal_factory_dump_active_backends ()

    void                e_data_cal_factory_dump_active_backends
                                                            (EDataCalFactory *factory);

Dumps to standard output a list of all active backends for the given factory.

`factory` :

  A calendar factory.

### e_data_cal_factory_set_backend_mode ()

    void                e_data_cal_factory_set_backend_mode (EDataCalFactory *factory,
                                                             gint mode);

Sets the online mode for all backends created by the given factory.

`factory` :

  A calendar factory.

`mode` :

  Online mode to set.

## Signal Details

### The `"last-calendar-gone"` signal

    void                user_function                      (EDataCalFactory *edatacalfactory,
                                                            gpointer         user_data)            : Run First

`edatacalfactory` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.